{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% import '_includes/macros.html.twig' as appMacros %}

<div class="box box-default">
    <div class="box-header with-border">
        <h3 class="box-title">Dernières connexions</h3>
        <div class="box-tools pull-right">
            <a href="{{ path('user.index') }}" class="btn btn-box-tool"><i class="fa fa-mail-forward"></i> Liste des utilisateurs</a>
        </div>
    </div>

    {% if loginHistory is defined and loginHistory | length > 0 %}
        <!-- /.box-header -->
        <div class="box-body p-0">
            <div class="table-responsive">
                <table class="table table-hover no-margin">
                    <thead>
                    <tr>
                        <th>Structure</th>
                        <th>Utilisateur</th>
                        <th>Date / heure</th>
                    </tr>
                    </thead>
                    <tbody>
                        {% for login in loginHistory %}
                            <tr>
                                <td><a href="{{ path('organization.edit', {id: login.user.organization.id}) }}">{{ login.user.organization.name }}</a></td>
                                <td><a href="{{ path('user.edit', {id: login.user.id}) }}">{{ login.user.fullName }}</a></td>
                                <td>{{ (login.datetime | moment).calendar() }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
            <!-- /.table-responsive -->
        </div>

        <div class="box-footer clearfix">
            <a href="{{ path('user.loginExport') }}" data-toggle="modal-remote" class="btn btn-default btn-sm pull-left"><span class="fa fa-download"></span> Télécharger un rapport de connexions</a>
        </div>
        <!-- /.box-footer -->
    {% else %}
        <div class="box-body">
            <div class="text-muted-light">Aucune connexion</div>
        </div>
    {% endif %}
</div>


